%define name frozen-bubble
%define version 0.9.2
%define release 2mdk
%define summary Frozen Bubble arcade game

Summary: %{summary}
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://guillaume.cottenceau.free.fr/fb/%{name}-%{version}.tar.bz2
License: GPL
Group: Games/Arcade
URL: http://www.frozen-bubble.org/
Packager: Guillaume Cottenceau <gc@mandrakesoft.com>
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: libSDL-devel libsmpeg-devel perl-devel
Requires: perl-SDL perl-base = 5.601
AutoProv: no  #- to not be a "provider" for libSDL_mixer-1.2.so.0

%description
Full-featured, colorful animated penguin eyecandy, 50 levels of 1p game,
hours and hours of 2p game, 3 professional quality 20-channels musics, 15
stereo sound effects, 7 unique graphical transition effects.

%prep
%setup -q

%build
cd SDL_mixer_patched
%configure
make
cd ..
make OPTIMIZE="$RPM_OPT_FLAGS" PREFIX=%{_prefix}

%install
rm -rf $RPM_BUILD_ROOT
make install PREFIX=$RPM_BUILD_ROOT/%{_prefix} 

mkdir -p $RPM_BUILD_ROOT/%{_menudir}
cat << EOF > $RPM_BUILD_ROOT/%{_menudir}/%{name}
?package(%{name}):command="NO_XALF /usr/bin/frozen-bubble" icon="%{name}.png" \
  needs="gnome" section="Amusement/Arcade" title="Frozen-Bubble" \
  longtitle="%{summary}"
?package(%{name}):command="/usr/bin/frozen-bubble" icon="%{name}.png" \
  needs="X11" section="Amusement/Arcade" title="Frozen-Bubble" \
  longtitle="%{summary}"
EOF

install -d $RPM_BUILD_ROOT%{_iconsdir} $RPM_BUILD_ROOT%{_miconsdir} $RPM_BUILD_ROOT%{_liconsdir}
install -m 644 icons/frozen-bubble-icon-16x16.png $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png
install -m 644 icons/frozen-bubble-icon-32x32.png $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
install -m 644 icons/frozen-bubble-icon-48x48.png $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{update_menus}

%postun
%{clean_menus}

%files
%defattr(-, root, root)
%doc README COPYING AUTHORS CHANGES
/usr/bin/*
/usr/lib/%{name}
/usr/share/%{name}
%{perl_sitearch}/auto/*
%{perl_sitearch}/*.pm
%{_menudir}/%{name}
%{_iconsdir}/*.png
%{_miconsdir}/*.png
%{_liconsdir}/*.png

%changelog
* Mon Feb 18 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 0.9.2-2mdk
- set AutoProv to no to not be a "provider" for libSDL_mixer-1.2.so.0
- install icons with correct perms (thx Meles MELES <meles@free.fr>)

* Thu Feb  7 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 0.9.2-1mdk
- new version

* Wed Feb  6 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 0.9.1-1mdk
- first mdk rpm
